App\Library\Amazon\Classes\BeautyMisc:
    xml_root_name: BeautyMisc
    properties:
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\BeautyMisc\VariationDataAType
        unitCount:
            expose: true
            access_type: public_method
            serialized_name: UnitCount
            accessor:
                getter: getUnitCount
                setter: setUnitCount
            type: App\Library\Amazon\Classes\BeautyMisc\UnitCountAType
        count:
            expose: true
            access_type: public_method
            serialized_name: Count
            accessor:
                getter: getCount
                setter: setCount
            type: integer
        numberOfItems:
            expose: true
            access_type: public_method
            serialized_name: NumberOfItems
            accessor:
                getter: getNumberOfItems
                setter: setNumberOfItems
            type: integer
        batteryAverageLife:
            expose: true
            access_type: public_method
            serialized_name: BatteryAverageLife
            accessor:
                getter: getBatteryAverageLife
                setter: setBatteryAverageLife
            type: float
        batteryCellComposition:
            expose: true
            access_type: public_method
            serialized_name: BatteryCellComposition
            accessor:
                getter: getBatteryCellComposition
                setter: setBatteryCellComposition
            type: string
        batteryAverageLifeStandby:
            expose: true
            access_type: public_method
            serialized_name: BatteryAverageLifeStandby
            accessor:
                getter: getBatteryAverageLifeStandby
                setter: setBatteryAverageLifeStandby
            type: float
        batteryChargeTime:
            expose: true
            access_type: public_method
            serialized_name: BatteryChargeTime
            accessor:
                getter: getBatteryChargeTime
                setter: setBatteryChargeTime
            type: float
        batteryDescription:
            expose: true
            access_type: public_method
            serialized_name: BatteryDescription
            accessor:
                getter: getBatteryDescription
                setter: setBatteryDescription
            type: string
        batteryFormFactor:
            expose: true
            access_type: public_method
            serialized_name: BatteryFormFactor
            accessor:
                getter: getBatteryFormFactor
                setter: setBatteryFormFactor
            type: string
        batteryPower:
            expose: true
            access_type: public_method
            serialized_name: BatteryPower
            accessor:
                getter: getBatteryPower
                setter: setBatteryPower
            type: App\Library\Amazon\Classes\BatteryPowerIntegerDimensionType
        displayLength:
            expose: true
            access_type: public_method
            serialized_name: DisplayLength
            accessor:
                getter: getDisplayLength
                setter: setDisplayLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        displayWeight:
            expose: true
            access_type: public_method
            serialized_name: DisplayWeight
            accessor:
                getter: getDisplayWeight
                setter: setDisplayWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        displayVolume:
            expose: true
            access_type: public_method
            serialized_name: DisplayVolume
            accessor:
                getter: getDisplayVolume
                setter: setDisplayVolume
            type: App\Library\Amazon\Classes\VolumeDimensionType
        skinType:
            expose: true
            access_type: public_method
            serialized_name: SkinType
            accessor:
                getter: getSkinType
                setter: setSkinType
            xml_list:
                inline: true
                entry_name: SkinType
            type: array<string>
        skinTone:
            expose: true
            access_type: public_method
            serialized_name: SkinTone
            accessor:
                getter: getSkinTone
                setter: setSkinTone
            xml_list:
                inline: true
                entry_name: SkinTone
            type: array<string>
        hairType:
            expose: true
            access_type: public_method
            serialized_name: HairType
            accessor:
                getter: getHairType
                setter: setHairType
            xml_list:
                inline: true
                entry_name: HairType
            type: array<string>
        includedComponents:
            expose: true
            access_type: public_method
            serialized_name: IncludedComponents
            accessor:
                getter: getIncludedComponents
                setter: setIncludedComponents
            type: string
        ingredients:
            expose: true
            access_type: public_method
            serialized_name: Ingredients
            accessor:
                getter: getIngredients
                setter: setIngredients
            type: string
        manufacturerWarrantyType:
            expose: true
            access_type: public_method
            serialized_name: ManufacturerWarrantyType
            accessor:
                getter: getManufacturerWarrantyType
                setter: setManufacturerWarrantyType
            type: string
        materialType:
            expose: true
            access_type: public_method
            serialized_name: MaterialType
            accessor:
                getter: getMaterialType
                setter: setMaterialType
            xml_list:
                inline: true
                entry_name: MaterialType
            type: array<string>
        mfrWarrantyDescriptionLabor:
            expose: true
            access_type: public_method
            serialized_name: MfrWarrantyDescriptionLabor
            accessor:
                getter: getMfrWarrantyDescriptionLabor
                setter: setMfrWarrantyDescriptionLabor
            type: string
        mfrWarrantyDescriptionParts:
            expose: true
            access_type: public_method
            serialized_name: MfrWarrantyDescriptionParts
            accessor:
                getter: getMfrWarrantyDescriptionParts
                setter: setMfrWarrantyDescriptionParts
            type: string
        modelName:
            expose: true
            access_type: public_method
            serialized_name: ModelName
            accessor:
                getter: getModelName
                setter: setModelName
            type: string
        indications:
            expose: true
            access_type: public_method
            serialized_name: Indications
            accessor:
                getter: getIndications
                setter: setIndications
            type: string
        directions:
            expose: true
            access_type: public_method
            serialized_name: Directions
            accessor:
                getter: getDirections
                setter: setDirections
            type: string
        warnings:
            expose: true
            access_type: public_method
            serialized_name: Warnings
            accessor:
                getter: getWarnings
                setter: setWarnings
            type: string
        itemForm:
            expose: true
            access_type: public_method
            serialized_name: ItemForm
            accessor:
                getter: getItemForm
                setter: setItemForm
            type: string
        itemPackageQuantity:
            expose: true
            access_type: public_method
            serialized_name: ItemPackageQuantity
            accessor:
                getter: getItemPackageQuantity
                setter: setItemPackageQuantity
            type: integer
        flavor:
            expose: true
            access_type: public_method
            serialized_name: Flavor
            accessor:
                getter: getFlavor
                setter: setFlavor
            type: string
        coverage:
            expose: true
            access_type: public_method
            serialized_name: Coverage
            accessor:
                getter: getCoverage
                setter: setCoverage
            type: string
        finishType:
            expose: true
            access_type: public_method
            serialized_name: FinishType
            accessor:
                getter: getFinishType
                setter: setFinishType
            xml_list:
                inline: true
                entry_name: FinishType
            type: array<string>
        itemSpecialty:
            expose: true
            access_type: public_method
            serialized_name: ItemSpecialty
            accessor:
                getter: getItemSpecialty
                setter: setItemSpecialty
            xml_list:
                inline: true
                entry_name: ItemSpecialty
            type: array<string>
        patternName:
            expose: true
            access_type: public_method
            serialized_name: PatternName
            accessor:
                getter: getPatternName
                setter: setPatternName
            type: string
        powerSource:
            expose: true
            access_type: public_method
            serialized_name: PowerSource
            accessor:
                getter: getPowerSource
                setter: setPowerSource
            type: string
        isAdultProduct:
            expose: true
            access_type: public_method
            serialized_name: IsAdultProduct
            accessor:
                getter: getIsAdultProduct
                setter: setIsAdultProduct
            type: boolean
        targetGender:
            expose: true
            access_type: public_method
            serialized_name: TargetGender
            accessor:
                getter: getTargetGender
                setter: setTargetGender
            type: string
        countryOfOrigin:
            expose: true
            access_type: public_method
            serialized_name: CountryOfOrigin
            accessor:
                getter: getCountryOfOrigin
                setter: setCountryOfOrigin
            type: string
        sellerWarrantyDescription:
            expose: true
            access_type: public_method
            serialized_name: SellerWarrantyDescription
            accessor:
                getter: getSellerWarrantyDescription
                setter: setSellerWarrantyDescription
            type: string
        sizeMap:
            expose: true
            access_type: public_method
            serialized_name: SizeMap
            accessor:
                getter: getSizeMap
                setter: setSizeMap
            type: string
        battery:
            expose: true
            access_type: public_method
            serialized_name: Battery
            accessor:
                getter: getBattery
                setter: setBattery
            type: App\Library\Amazon\Classes\Battery
        brandRegionOfOrigin:
            expose: true
            access_type: public_method
            serialized_name: BrandRegionOfOrigin
            accessor:
                getter: getBrandRegionOfOrigin
                setter: setBrandRegionOfOrigin
            type: string
        specialFeatures:
            expose: true
            access_type: public_method
            serialized_name: SpecialFeatures
            accessor:
                getter: getSpecialFeatures
                setter: setSpecialFeatures
            type: string
        targetAudienceBase:
            expose: true
            access_type: public_method
            serialized_name: TargetAudienceBase
            accessor:
                getter: getTargetAudienceBase
                setter: setTargetAudienceBase
            type: string
        language:
            expose: true
            access_type: public_method
            serialized_name: Language
            accessor:
                getter: getLanguage
                setter: setLanguage
            type: string
        externalTestingCertification:
            expose: true
            access_type: public_method
            serialized_name: ExternalTestingCertification
            accessor:
                getter: getExternalTestingCertification
                setter: setExternalTestingCertification
            xml_list:
                inline: true
                entry_name: ExternalTestingCertification
            type: array<string>
        isExpirationDatedProduct:
            expose: true
            access_type: public_method
            serialized_name: IsExpirationDatedProduct
            accessor:
                getter: getIsExpirationDatedProduct
                setter: setIsExpirationDatedProduct
            type: boolean
        productExpirationType:
            expose: true
            access_type: public_method
            serialized_name: ProductExpirationType
            accessor:
                getter: getProductExpirationType
                setter: setProductExpirationType
            type: string
        fcShelfLife:
            expose: true
            access_type: public_method
            serialized_name: FcShelfLife
            accessor:
                getter: getFcShelfLife
                setter: setFcShelfLife
            type: integer
        fcShelfLifePadTime:
            expose: true
            access_type: public_method
            serialized_name: FcShelfLifePadTime
            accessor:
                getter: getFcShelfLifePadTime
                setter: setFcShelfLifePadTime
            type: integer
